Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.example.com/v1/transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/transactions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "transactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "recipient_name": "<string>",
      "recipient": {},
      "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sender_name": "<string>",
      "destination_currency": {
        "currency": "<string>",
        "amount": "<string>"
      },
      "source_currency": {
        "currency": "<string>",
        "amount": "<string>"
      },
      "channel": "<string>",
      "tariff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fee": "<string>",
      "tax": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 1,
  "hasMore": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
Available options:
waiting-for-signature,
pending,
in-progress,
completed,
cancelled,
failed,
suspended
recipient_type
enum<string>
Available options:
recipient,
account
sender_type
enum<string>
Available options:
recipient,
account
type
enum<string>
Available options:
iwt,
owt,
int
customer_id
string<uuid>

Response

200 - application/json

List of transactions

transactions
object[]
total
integer
Required range: x >= 0
hasMore
boolean